X2Go Bug report logs - #699
epel 5 repos have signature errors

Package: buildscripts; Maintainer for buildscripts is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Fri, 12 Dec 2014 14:25:01 UTC

Severity: normal

Done: Michael DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#699; Package buildscripts. (Fri, 12 Dec 2014 14:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 12 Dec 2014 14:25:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: epel 5 repos have signature errors
Date: Fri, 12 Dec 2014 09:22:30 -0500
Package: buildscripts
Severity: normal

As reported here:

http://lists.x2go.org/pipermail/x2go-user/2014-December/002705.html

A CentOS 5 user is getting these errors:

error: nx-libs-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header V4
RSA/SHA1 signature: BAD, key ID 5bfe2b6e
error: libXcomp-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header V4
RSA/SHA1 signature: BAD, key ID 5bfe2b6e
etc....

The cause appears to be that CentOS 5 cannot handle V4 signatures, only V3.
http://adminotes.blogspot.fr/2011/12/centos-6-rpm-sign-problem-v4-signatures.html


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#699; Package buildscripts. (Sat, 13 Dec 2014 02:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Dec 2014 02:20:01 GMT) Full text and rfc822 format available.

Message #10 received at 699@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 699@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#699: epel 5 repos have signature errors
Date: Sat, 13 Dec 2014 02:18:07 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

Hi Michael,

On  Fr 12 Dez 2014 15:22:30 CET, Michael DePaulo wrote:

> As reported here:
>
> http://lists.x2go.org/pipermail/x2go-user/2014-December/002705.html
>
> A CentOS 5 user is getting these errors:
>
> error: nx-libs-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header V4
> RSA/SHA1 signature: BAD, key ID 5bfe2b6e
> error: libXcomp-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos:  
> Header V4
> RSA/SHA1 signature: BAD, key ID 5bfe2b6e
> etc....
>
> The cause appears to be that CentOS 5 cannot handle V4 signatures, only V3.
> http://adminotes.blogspot.fr/2011/12/centos-6-rpm-sign-problem-v4-signatures.html

I hope this (and a previous commit) fixes the issue:
http://code.x2go.org/gitweb?p=buildscripts.git;a=commitdiff;h=3c79b61da0e25e7df61206d0d6ac986e457ff7af


I have just triggered rebuilds of nightly packages nx-libs and  
x2goserver. Can you check (once the have built) if those packages are  
now installable on Centos5?

Thanks,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 699-submit@bugs.x2go.org. (Sat, 13 Dec 2014 02:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#699; Package buildscripts. (Sat, 13 Dec 2014 21:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 13 Dec 2014 21:40:02 GMT) Full text and rfc822 format available.

Message #17 received at 699@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 699@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#699: epel 5 repos have signature errors
Date: Sat, 13 Dec 2014 09:10:54 -0500
On Fri, Dec 12, 2014 at 9:18 PM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Control: tag -1 pending
>
> Hi Michael,
>
> On  Fr 12 Dez 2014 15:22:30 CET, Michael DePaulo wrote:
>
>> As reported here:
>>
>> http://lists.x2go.org/pipermail/x2go-user/2014-December/002705.html
>>
>> A CentOS 5 user is getting these errors:
>>
>> error: nx-libs-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos: Header
>> V4
>> RSA/SHA1 signature: BAD, key ID 5bfe2b6e
>> error: libXcomp-3.5.0.28-0.0x2go1.1.git20141114.546.main.el5.centos:
>> Header V4
>> RSA/SHA1 signature: BAD, key ID 5bfe2b6e
>> etc....
>>
>> The cause appears to be that CentOS 5 cannot handle V4 signatures, only
>> V3.
>>
>> http://adminotes.blogspot.fr/2011/12/centos-6-rpm-sign-problem-v4-signatures.html
>
>
> I hope this (and a previous commit) fixes the issue:
> http://code.x2go.org/gitweb?p=buildscripts.git;a=commitdiff;h=3c79b61da0e25e7df61206d0d6ac986e457ff7af
>
>
> I have just triggered rebuilds of nightly packages nx-libs and x2goserver.
> Can you check (once the have built) if those packages are now installable on
> Centos5?
>
> Thanks,
> Mike

Hi Mike#1,

I just setup a CentOS 5.11 64-bit VM and tried to install the nightly packages.

I am still getting the errors like both Michael Dubois and I get with
the stable release packages.

error: nx-libs-3.5.0.29-0.0x2go1.0.git20141213.552.heuler.el5.centos:
Header V4 RSA/SHA1 signature: BAD, key ID 5bfe2b6e

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#699; Package buildscripts. (Mon, 22 Dec 2014 04:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 22 Dec 2014 04:40:01 GMT) Full text and rfc822 format available.

Message #22 received at 699@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 699@bugs.x2go.org
Subject: Fix committed, but only the nightly repo is fixed yet
Date: Sun, 21 Dec 2014 23:36:50 -0500
[Message part 1 (text/plain, inline)]
I committed the fix to buildscripts.git and updated buildscripts.git on
japsand.x2go.org (which builds & uploads the packages.)

However, for reasons explained in the linked email, I have only rebuilt the
"nightly" packages with the key, not the "main" (stable release) packages
yet. And the 4.1.0.0 x2goserver nightly package is very unstable.
http://lists.x2go.org/pipermail/x2go-dev/2014-December/008891.html

To any users affected by this bug, I hope to have the main packages rebuilt
(and therefore fixed) ASAP.
[Message part 2 (text/html, inline)]

Reply sent to Michael DePaulo <mikedep333@gmail.com>:
You have taken responsibility. (Sat, 03 Jan 2015 16:05:02 GMT) Full text and rfc822 format available.

Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sat, 03 Jan 2015 16:05:02 GMT) Full text and rfc822 format available.

Message #27 received at 699-done@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 699-done@bugs.x2go.org
Subject: I fixed this bug, but now #714 is a problem
Date: Sat, 3 Jan 2015 11:04:44 -0500
I fixed this bug in buildscript.git via commit 1c1553a .

Per the advise of MIke#1, I then rebuilt the EPEL5 packages only by
running commands like the following on japsand.x2go.org as x2go-admin:
NO_DELAY=yes FORCE_BUILD=yes RPM_BUILD_FOR="epel:5"
x2go-build+upload-rpm-package nx-libs main
(I had to run "git pull" under ~x2go-admin/buildscripts/ 1st.)

I tested the fix successfully. The fixed packages have version strings
like the following:
4.0.1.18-0.0x2go1.1.git20150103.949.main.el5.centos

However, I discovered bug #714 along the way. So X2Go Server's support
for epel 5 is still broken :(


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 01 Feb 2015 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:17:04 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.